ユーザーグループの修正
指定したユーザーグループの情報を修正します。
必要な権限
ADMIN以上のロールが必要です。
HTTPリクエスト
PUT /api/sonar/user-groups/:guid
cURL例
curl -H "Authorization: Bearer <API_KEY>" \
-d name="Cyber Security" \
-d user_guids=ffaf431b-653a-4329-8f83-913cbb00342d \
-X PUT \
https://HOSTNAME/api/sonar/user-groups/a2a42968-787f-45a3-bec9-b6b68db21c2f
リクエストパラメータ
| キー | 必須 | タイプ | 説明 | 備考 |
|---|---|---|---|---|
| name | ○ | 文字列 | ユーザーグループ名 | 最小1文字、最大200文字 |
| guid | × | 文字列 | ユーザーグループGUID | 36文字 |
| description | × | 文字列 | 説明 | 最大2,000文字 |
| user_guids | × | 配列 | ユーザー識別子リスト | 無効なユーザー識別子は無視されます |
正常応答
{}
エラー応答
必須パラメータが欠落している場合
{
"error_code": "null-argument",
"error_msg": "name should be not null"
}
パラメータ値の長さが不正な場合
{
"error_code": "invalid-argument",
"error_msg": "'name' must be shorter than or equal to 200 characters."
}
ユーザー識別子がGUID形式でない場合
{
"error_code": "invalid-param-type",
"error_msg": "user_guids should be guid type."
}
ユーザーグループが存在しない場合
クラスター管理者以外のセッションで、他のテナント(会社)のユーザーグループを修正しようとした場合も、検索失敗として処理されます。
{
"error_code": "illegal-state",
"error_msg": "user group not found: a2a42968-787f-45a3-bec9-b6b68db21c2d"
}